Bug 3426 - globus-job-manager-script.pl broken on !LD_LIBRARY_PATH platforms
: globus-job-manager-script.pl broken on !LD_LIBRARY_PATH platforms
Status: RESOLVED FIXED
: GRAM
wsrf managed execution job service
: 4.0.0
: RS/6000 AIX
: P3 blocker
: 4.0.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-05-29 23:21 by
Modified: 2005-08-05 13:42 (History)


Attachments
globus_gram_job_manager_setup-3.3.tar.gz (176.58 KB, application/x-tgz)
2005-07-07 16:13, Joe Bester
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-29 23:21:26
I noticed this on AIX when installing from binaries, but all platforms which do
not use LD_LIBRARY_PATH are probably affected. Trying to run a simple fork job:

# globusrun-ws -submit -F `hostname`:9000 -c /bin/hostname
Submitting job...Done.
Job ID: uuid:7bef1c2a-d098-11d9-b0d7-01000000438c
Termination time: 05/30/2005 23:22 GMT
Current job state: Failed
Destroying job...Done.
globusrun-ws: Job failed: Internal fault occurred while running the submit script.
org.globus.exec.generated.InternalFaultType



In the container log:

2005-05-29 23:22:14,000 ERROR exec.JobManagerScript [Thread-29,run:307] Script
stderr:
Could not load program
/home/condor/execute/dir_20780/userdir/install/libexec/globus-fork-starter:
Dependent module libglobus_gram_protocol_vendorcc64.so could not be loaded.Could
not load module libglobus_gram_protocol_vendorcc64.so.System error: No such file
or directory


This is due to globus-job-manager-script.pl is not setting up the environment
right. It only sets LD_LIBRARY_PATH:

  &append_path(\%ENV, 'LD_LIBRARY_PATH', $path);

LIBPATH and DYLD_LIBRARY_PATH should also be set, or even better, use
globus-script-initializer so we only have to keep track of one place to set up
the environment right.
------- Comment #1 From 2005-07-07 16:13:12 -------
Created an attachment (id=650) [details]
globus_gram_job_manager_setup-3.3.tar.gz

I'm attaching a new version of the job manager setup package to this bug.
Please try this out, as I don't have ready access to an AIX system.

joe
------- Comment #2 From 2005-07-19 15:07:02 -------
this fix is committed to trunk and gt4 branch.

joe
------- Comment #3 From 2005-08-05 12:15:26 -------
I don't know why I didn't catch this when I verified the patch, but there are
two typos:


diff -u -r1.4.76.1 globus-job-manager-script.in
--- globus-job-manager-script.in        19 Jul 2005 19:56:45 -0000      1.4.76.1
+++ globus-job-manager-script.in        5 Aug 2005 17:13:51 -0000
@@ -19,11 +19,11 @@
 }
 elsif($Config{osname} eq 'aix')
 {
-    &append_path(\%env, 'LIBPATH', $path);
+    &append_path(\%ENV, 'LIBPATH', $path);
 }
 elsif($Config{osname} eq 'darwin')
 {
-    &append_path(\%env, 'DYLD_LIBRARY_PATH', $path);
+    &append_path(\%ENV, 'DYLD_LIBRARY_PATH', $path);
 }
 &append_path(\%ENV, 'LD_LIBRARY_PATH', $path);

------- Comment #4 From 2005-08-05 13:42:49 -------
update committed to gt4 branch and trunk.

joe